/* irq.h - INCAIP interrupts */

#ifndef __INCincaIRQh
#define __INCincaIRQh

/************************************************************************
 *  Interrupt information
*************************************************************************/

/* these vectors are to handle the interrupts from the internal INCA-IP
   interrupt controller. THe INT_NUM values are really just indices into
   an array and are set up so that we can use the INT_NUM as a shift
   to calculate a mask value. */
#define INT_NUM_IRQ0	      0x00
#define INT_NUM_IM0_IRL0   (INT_NUM_IRQ0 + 0) 
#define INT_NUM_IM0_IRL1   (INT_NUM_IRQ0 + 1) 
#define INT_NUM_IM0_IRL2   (INT_NUM_IRQ0 + 2) 
#define INT_NUM_IM0_IRL3   (INT_NUM_IRQ0 + 3) 
#define INT_NUM_IM0_IRL4   (INT_NUM_IRQ0 + 4) 
#define INT_NUM_IM0_IRL5   (INT_NUM_IRQ0 + 5) 
#define INT_NUM_IM0_IRL6   (INT_NUM_IRQ0 + 6) 
#define INT_NUM_IM0_IRL7   (INT_NUM_IRQ0 + 7) 
#define INT_NUM_IM0_IRL8   (INT_NUM_IRQ0 + 8) 
#define INT_NUM_IM0_IRL9   (INT_NUM_IRQ0 + 9) 
#define INT_NUM_IM0_IRL10	(INT_NUM_IRQ0 + 10) 
#define INT_NUM_IM0_IRL11	(INT_NUM_IRQ0 + 11) 
#define INT_NUM_IM0_IRL12	(INT_NUM_IRQ0 + 12) 
#define INT_NUM_IM0_IRL13	(INT_NUM_IRQ0 + 13) 
#define INT_NUM_IM0_IRL14	(INT_NUM_IRQ0 + 14) 
#define INT_NUM_IM0_IRL15	(INT_NUM_IRQ0 + 15) 
#define INT_NUM_IM0_IRL16	(INT_NUM_IRQ0 + 16) 
#define INT_NUM_IM0_IRL17	(INT_NUM_IRQ0 + 17) 
#define INT_NUM_IM0_IRL18	(INT_NUM_IRQ0 + 18) 
#define INT_NUM_IM0_IRL19	(INT_NUM_IRQ0 + 19) 
#define INT_NUM_IM0_IRL20	(INT_NUM_IRQ0 + 20) 
#define INT_NUM_IM0_IRL21	(INT_NUM_IRQ0 + 21) 
#define INT_NUM_IM0_IRL22	(INT_NUM_IRQ0 + 22) 
#define INT_NUM_IM0_IRL23  	(INT_NUM_IRQ0 + 23) 
#define INT_NUM_IM0_IRL24	(INT_NUM_IRQ0 + 24) 
#define INT_NUM_IM0_IRL25	(INT_NUM_IRQ0 + 25) 
#define INT_NUM_IM0_IRL26	(INT_NUM_IRQ0 + 26) 
#define INT_NUM_IM0_IRL27	(INT_NUM_IRQ0 + 27) 
#define INT_NUM_IM0_IRL28	(INT_NUM_IRQ0 + 28) 
#define INT_NUM_IM0_IRL29	(INT_NUM_IRQ0 + 29) 
#define INT_NUM_IM0_IRL30	(INT_NUM_IRQ0 + 30) 
#define INT_NUM_IM0_IRL31	(INT_NUM_IRQ0 + 31) 

#define INT_NUM_IM1_IRL0   (INT_NUM_IRQ0 + 32 + 0) 
#define INT_NUM_IM1_IRL1   (INT_NUM_IRQ0 + 32 + 1) 
#define INT_NUM_IM1_IRL2   (INT_NUM_IRQ0 + 32 + 2) 
#define INT_NUM_IM1_IRL3   (INT_NUM_IRQ0 + 32 + 3) 
#define INT_NUM_IM1_IRL4   (INT_NUM_IRQ0 + 32 + 4) 
#define INT_NUM_IM1_IRL5   (INT_NUM_IRQ0 + 32 + 5) 
#define INT_NUM_IM1_IRL6   (INT_NUM_IRQ0 + 32 + 6) 
#define INT_NUM_IM1_IRL7   (INT_NUM_IRQ0 + 32 + 7) 
#define INT_NUM_IM1_IRL8   (INT_NUM_IRQ0 + 32 + 8) 
#define INT_NUM_IM1_IRL9   (INT_NUM_IRQ0 + 32 + 9) 
#define INT_NUM_IM1_IRL10	(INT_NUM_IRQ0 + 32 + 10) 
#define INT_NUM_IM1_IRL11	(INT_NUM_IRQ0 + 32 + 11) 
#define INT_NUM_IM1_IRL12	(INT_NUM_IRQ0 + 32 + 12) 
#define INT_NUM_IM1_IRL13	(INT_NUM_IRQ0 + 32 + 13) 
#define INT_NUM_IM1_IRL14	(INT_NUM_IRQ0 + 32 + 14) 
#define INT_NUM_IM1_IRL15	(INT_NUM_IRQ0 + 32 + 15) 
#define INT_NUM_IM1_IRL16       (INT_NUM_IRQ0 + 32 + 16) 
#define INT_NUM_IM1_IRL17	(INT_NUM_IRQ0 + 32 + 17) 
#define INT_NUM_IM1_IRL18	(INT_NUM_IRQ0 + 32 + 18) 
#define INT_NUM_IM1_IRL19	(INT_NUM_IRQ0 + 32 + 19) 
#define INT_NUM_IM1_IRL20	(INT_NUM_IRQ0 + 32 + 20) 
#define INT_NUM_IM1_IRL21	(INT_NUM_IRQ0 + 32 + 21) 
#define INT_NUM_IM1_IRL22	(INT_NUM_IRQ0 + 32 + 22) 
#define INT_NUM_IM1_IRL23	(INT_NUM_IRQ0 + 32 + 23) 
#define INT_NUM_IM1_IRL24	(INT_NUM_IRQ0 + 32 + 24) 
#define INT_NUM_IM1_IRL25	(INT_NUM_IRQ0 + 32 + 25) 
#define INT_NUM_IM1_IRL26	(INT_NUM_IRQ0 + 32 + 26) 
#define INT_NUM_IM1_IRL27	(INT_NUM_IRQ0 + 32 + 27) 
#define INT_NUM_IM1_IRL28	(INT_NUM_IRQ0 + 32 + 28) 
#define INT_NUM_IM1_IRL29	(INT_NUM_IRQ0 + 32 + 29) 
#define INT_NUM_IM1_IRL30	(INT_NUM_IRQ0 + 32 + 30) 
#define INT_NUM_IM1_IRL31	(INT_NUM_IRQ0 + 32 + 31) 

#define INT_NUM_IM2_IRL0   (INT_NUM_IRQ0 + 64 + 0) 
#define INT_NUM_IM2_IRL1   (INT_NUM_IRQ0 + 64 + 1) 
#define INT_NUM_IM2_IRL2   (INT_NUM_IRQ0 + 64 + 2) 
#define INT_NUM_IM2_IRL3   (INT_NUM_IRQ0 + 64 + 3) 
#define INT_NUM_IM2_IRL4   (INT_NUM_IRQ0 + 64 + 4) 
#define INT_NUM_IM2_IRL5   (INT_NUM_IRQ0 + 64 + 5) 
#define INT_NUM_IM2_IRL6   (INT_NUM_IRQ0 + 64 + 6) 
#define INT_NUM_IM2_IRL7   (INT_NUM_IRQ0 + 64 + 7) 
#define INT_NUM_IM2_IRL8   (INT_NUM_IRQ0 + 64 + 8) 
#define INT_NUM_IM2_IRL9   (INT_NUM_IRQ0 + 64 + 9) 
#define INT_NUM_IM2_IRL10	(INT_NUM_IRQ0 + 64 + 10) 
#define INT_NUM_IM2_IRL11	(INT_NUM_IRQ0 + 64 + 11) 
#define INT_NUM_IM2_IRL12	(INT_NUM_IRQ0 + 64 + 12) 
#define INT_NUM_IM2_IRL13	(INT_NUM_IRQ0 + 64 + 13) 
#define INT_NUM_IM2_IRL14	(INT_NUM_IRQ0 + 64 + 14) 
#define INT_NUM_IM2_IRL15	(INT_NUM_IRQ0 + 64 + 15) 
#define INT_NUM_IM2_IRL16	(INT_NUM_IRQ0 + 64 + 16) 
#define INT_NUM_IM2_IRL17	(INT_NUM_IRQ0 + 64 + 17) 
#define INT_NUM_IM2_IRL18	(INT_NUM_IRQ0 + 64 + 18) 
#define INT_NUM_IM2_IRL19	(INT_NUM_IRQ0 + 64 + 19) 
#define INT_NUM_IM2_IRL20	(INT_NUM_IRQ0 + 64 + 20) 
#define INT_NUM_IM2_IRL21	(INT_NUM_IRQ0 + 64 + 21) 
#define INT_NUM_IM2_IRL22	(INT_NUM_IRQ0 + 64 + 22) 
#define INT_NUM_IM2_IRL23	(INT_NUM_IRQ0 + 64 + 23) 
#define INT_NUM_IM2_IRL24	(INT_NUM_IRQ0 + 64 + 24) 
#define INT_NUM_IM2_IRL25	(INT_NUM_IRQ0 + 64 + 25) 
#define INT_NUM_IM2_IRL26	(INT_NUM_IRQ0 + 64 + 26) 
#define INT_NUM_IM2_IRL27	(INT_NUM_IRQ0 + 64 + 27) 
#define INT_NUM_IM2_IRL28	(INT_NUM_IRQ0 + 64 + 28) 
#define INT_NUM_IM2_IRL29	(INT_NUM_IRQ0 + 64 + 29) 
#define INT_NUM_IM2_IRL30	(INT_NUM_IRQ0 + 64 + 30) 
#define INT_NUM_IM2_IRL31	(INT_NUM_IRQ0 + 64 + 31) 

#endif	/* __INCincaIRQh */
